Subject: bug#29889: 27.0.50; Slow visual selection

From: Po Lu <[email-masked]>
Date: Fri, 20 May 2022 17:23:17 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> Yes, that would solve the performance problem, but the surprising
> behaviour would still exist.
>
> That is, I think most people would not expect that just setting the mark
> in a buffer would make the part between mark and point available in the
> selection in other programs.

Why is that surprising, though?  Activating the mark makes the region
display in the "region" face, so its availability in the primary
selection becomes obvious to the user, since it really is "selected".

Consider typing M-h and then inserting the contents of the region into
another program with a middle-click, or typing C-h a and doing the same.

That is how other X programs behave, and isn't possible if
`select-active-regions' is `only'.